--- title: "createLoadBalancerInstance" slug: "networking-loadbalancing-createloadbalancerinstance" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-loadbalancing-createloadbalancerinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createLoadBalancerInstance Available in Classic Create a load balancer instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /loadbalancer/v2/createLoadBalancerInstance | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-loadbalancing#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `loadBalancerName` | String | Optional | Name of the load balancer to create - Granted automatically by NAVER Cloud Platform (default) - 3 to 30 characters | | `loadBalancerAlgorithmTypeCode` | String | Optional | Type of algorithm to use for load balancing - `RR` (default) \| `SIPHS` \| `LC` - `RR`: Round Robin - `SIPHS`: Source IP Hash - `LC`: Least Connection | | `loadBalancerDescription` | String | Optional | Load balancer description (byte) - 0 - 1000 | | `networkUsageTypeCode` | String | Optional | Network type of the load balancer - `PBLIP` (default) \| `PRVT` - `PBLIP` (Public): public IP - `PRVT` (Private): private IP | | `serverInstanceNoList.N` | String | Optional | List of server instance numbers to bind to the load balancer - See [getLoadBalancancerTargetServerInstanceList](/docs/en/networking-loadbalancing-getloadbalancertargetserverinstancelist) | | `loadBalancerRuleList.N.protocolTypeCode` | String | Required | Protocol type of the load balancer rule - `HTTP` \| `HTTPS` \| `TCP` \| `SSL` | | `loadBalancerRuleList.N.loadBalancerPort` | Integer | Required | Port of the load balancer rule - 1 - 65534 - No port duplication on the same load balancer - Ports 22, 3389, 64000, 65130, 65131, and 18080 - 18095 are unavailable since they're for load balancer management | | `loadBalancerRuleList.N.serverPort` | Integer | Required | Server port of the load balancer rule - 1~65534 - Ports can be duplicated on the same load balancer | | `loadBalancerRuleList.N.l7HealthCheckPath` | String | Conditional | Health check path of the load balancer rule - `/` (default) - URL path that starts with `/` - Required if `loadBalancerRuleList.N.protocolTypeCode` is `HTTP` or `HTTPS` | | `loadBalancerRuleList.N.certificateName` | String | Conditional | Load balancer's SSL certificate name Entry is required if `loadBalancerRuleList.N.protocloTypeCode` is `SSL` or `HTTPS` | | `loadBalancerRuleList.N.proxyProtocolUseYn` | String | Optional | Whether to use proxy protocol - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `TCP` or `SSL` | | `loadBalancerRuleList.N.stickySessionUseYn` | String | Optional | Whether to use per-session access - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `HTTP` or `HTTPS` | | `loadBalancerRuleList.N.http2UseYn` | String | Optional | Whether to use HTTP/2 protocol - `Y` \| `N` - `Y`: enable - `N`: disable - It can be enabled if `loadBalancerRuleList.N.protocloTypeCode` is `HTTPS` | | `loadBalancerRuleList.N.serverProtocolTypeCode` | String | Optional | Server's protocol type - `HTTP` (default) \| `HTTPS` - It can be set if `loadBalancerRuleList.N.protocloTypeCode` is `HTTPS`= | | `regionNo` | String | Optional | Number of the Region in which you want to create the load balancerSee [getRegionList](/docs/en/compute-server-getregionlist)Randomly assigned to a zone in the Korea Region if neither Region nor Zone is entered | | `zoneNoList` | List[String] | Optional | List of zone numbers for which you want to create the load balancer - Check `zoneNo` through [getRegionList](/docs/en/compute-server-getregionlist) - Private IP load balancers can only select 1 zone, and multi-zone support will be available soon | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/createLoadBalancerInstance?loadBalancerRuleList.1.l7HealthCheckPath=/&loadBalancerRuleList.1.loadBalancerPort=80&loadBalancerRuleList.1.protocolTypeCode=HTTP&loadBalancerRuleList.1.serverPort=80' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [LoadBalancerInstance](/docs/en/common-apidatatype-loadbalancerinstance) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-loadbalancing#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 1e3eac26-c57e-4c8b-b6b0-ba3fe2330a61 0 success 1 ******** ***.***.***.***,**.***.***.*** YOUR_LOAD_BALANCER RR Round Robin 2024-06-07T19:28:24+0900 slb-24784632.ncloudslb.com creating INIT NET INIT state USE NET USE OP PBLIP Public false 60 1 KR Korea 2 KR-1 KR-1 Gasan zone 1 HTTP http 80 80 / N N N ```